Bug 183191 - No media crashes
No media crashes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
bzcl34nup
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-27 06:35 EST by Rahul Sundaram
Modified: 2013-03-13 01:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome mount crash screenshot (239.87 KB, image/png)
2006-02-27 06:35 EST, Rahul Sundaram
no flags Details
a patch (1.24 KB, patch)
2006-03-01 10:36 EST, Matthias Clasen
no flags Details | Diff
Another patch (2.65 KB, patch)
2006-03-01 11:07 EST, David Zeuthen
no flags Details | Diff

  None (edit)
Description Rahul Sundaram 2006-02-27 06:35:44 EST
Description of problem:

Gnome mount crashes while clicking on floppy icon in computer when there is no
medium found


Version-Release number of selected component (if applicable):
gnome-mount-0.4-2

How reproducible:

Everytime

Steps to Reproduce:
1. Open computer folder on the desktop
2. Click on floppy icon while there is no medium
3. gnome mount crashes. screenshot is attached for clarity
  
Actual results:

gnome mount crashes

Expected results:

There should be a specific error message.

Additional info:

screenshot attached
Comment 1 Rahul Sundaram 2006-02-27 06:35:44 EST
Created attachment 125308 [details]
gnome mount crash screenshot
Comment 2 John (J5) Palmieri 2006-02-27 11:15:09 EST
This is a blocker
Comment 3 Matthias Clasen 2006-03-01 00:56:56 EST
Here is a patch I came up with, but the behaviour is still pretty erratic.
I sometimes get two error dialogs, one about being unable to mount, and one
completely empty one. And one of the dialogs I got froze when I clicked OK.

I think the right fix must make sure that we actually bring up the no-media
error dialog in this case.
Comment 4 Matthias Clasen 2006-03-01 10:36:16 EST
Created attachment 125468 [details]
a patch
Comment 5 David Zeuthen 2006-03-01 11:07:35 EST
Created attachment 125476 [details]
Another patch

Oh, I've already sorta looked at this yesterday evening but couldn't test it as
I don't have a floppy drive. Now I've tested it and will apply this patch to
our package. Will post link to test packages in a bit.
Comment 6 David Zeuthen 2006-03-01 11:24:01 EST
Please try these

 http://people.redhat.com/davidz/rh183191/

Comment 3:
> I sometimes get two error dialogs, one about being unable to mount, and one
> completely empty one. And one of the dialogs I got froze when I clicked OK.

This is a Nautilus bug and I believe it's already filed here and/or upstream.
Comment 8 Bug Zapper 2008-04-03 13:02:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:23:49 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.